io.undertow.util

## Class StatusCodes

- java.lang.Object
- - io.undertow.util.StatusCodes

    public class StatusCodes
    extends Object

Author:
  Stuart Douglas

### Field Summary

Fields
`static int` `ACCEPTED`
`static String` `ACCEPTED_STRING`
`static int` `ALREADY_REPORTED`
`static String` `ALREADY_REPORTED_STRING`
`static int` `BAD_GATEWAY`
`static String` `BAD_GATEWAY_STRING`
`static int` `BAD_REQUEST`
`static String` `BAD_REQUEST_STRING`
`static int` `CONFLICT`
`static String` `CONFLICT_STRING`
`static int` `CONTINUE`
`static String` `CONTINUE_STRING`
`static int` `CREATED`
`static String` `CREATED_STRING`
`static int` `EXPECTATION_FAILED`
`static String` `EXPECTATION_FAILED_STRING`
`static int` `FAILED_DEPENDENCY`
`static String` `FAILED_DEPENDENCY_STRING`
`static int` `FORBIDDEN`
`static String` `FORBIDDEN_STRING`
`static int` `FOUND`
`static String` `FOUND_STRING`
`static int` `GATEWAY_TIME_OUT`
`static String` `GATEWAY_TIME_OUT_STRING`
`static int` `GONE`
`static String` `GONE_STRING`
`static int` `HTTP_VERSION_NOT_SUPPORTED`
`static String` `HTTP_VERSION_NOT_SUPPORTED_STRING`
`static int` `IM_USED`
`static String` `IM_USED_STRING`
`static int` `INSUFFICIENT_STORAGE`
`static String` `INSUFFICIENT_STORAGE_STRING`
`static int` `INTERNAL_SERVER_ERROR`
`static String` `INTERNAL_SERVER_ERROR_STRING`
`static int` `LENGTH_REQUIRED`
`static String` `LENGTH_REQUIRED_STRING`
`static int` `LOCKED`
`static String` `LOCKED_STRING`
`static int` `LOOP_DETECTED`
`static String` `LOOP_DETECTED_STRING`
`static int` `METHOD_NOT_ALLOWED`
`static String` `METHOD_NOT_ALLOWED_STRING`
`static int` `MOVED_PERMANENTLY`
`static String` `MOVED_PERMANENTLY_STRING`
`static int` `MOVED_PERMENANTLY` Deprecated.
`static int` `MULTI_STATUS`
`static String` `MULTI_STATUS_STRING`
`static int` `MULTIPLE_CHOICES`
`static String` `MULTIPLE_CHOICES_STRING`
`static int` `NETWORK_AUTHENTICATION_REQUIRED`
`static String` `NETWORK_AUTHENTICATION_REQUIRED_STRING`
`static int` `NO_CONTENT`
`static String` `NO_CONTENT_STRING`
`static int` `NON_AUTHORITATIVE_INFORMATION`
`static String` `NON_AUTHORITATIVE_INFORMATION_STRING`
`static int` `NOT_ACCEPTABLE`
`static String` `NOT_ACCEPTABLE_STRING`
`static int` `NOT_EXTENDED`
`static String` `NOT_EXTENDED_STRING`
`static int` `NOT_FOUND`
`static String` `NOT_FOUND_STRING`
`static int` `NOT_IMPLEMENTED`
`static String` `NOT_IMPLEMENTED_STRING`
`static int` `NOT_MODIFIED`
`static String` `NOT_MODIFIED_STRING`
`static int` `OK`
`static String` `OK_STRING`
`static int` `PARTIAL_CONTENT`
`static String` `PARTIAL_CONTENT_STRING`
`static int` `PAYMENT_REQUIRED`
`static String` `PAYMENT_REQUIRED_STRING`
`static int` `PERMANENT_REDIRECT`
`static String` `PERMANENT_REDIRECT_STRING`
`static int` `PRECONDITION_FAILED`
`static String` `PRECONDITION_FAILED_STRING`
`static int` `PRECONDITION_REQUIRED`
`static String` `PRECONDITION_REQUIRED_STRING`
`static int` `PROCESSING`
`static String` `PROCESSING_STRING`
`static int` `PROXY_AUTHENTICATION_REQUIRED`
`static String` `PROXY_AUTHENTICATION_REQUIRED_STRING`
`static int` `REQUEST_ENTITY_TOO_LARGE`
`static String` `REQUEST_ENTITY_TOO_LARGE_STRING`
`static int` `REQUEST_HEADER_FIELDS_TOO_LARGE`
`static String` `REQUEST_HEADER_FIELDS_TOO_LARGE_STRING`
`static int` `REQUEST_RANGE_NOT_SATISFIABLE`
`static String` `REQUEST_RANGE_NOT_SATISFIABLE_STRING`
`static int` `REQUEST_TIME_OUT`
`static String` `REQUEST_TIME_OUT_STRING`
`static int` `REQUEST_URI_TOO_LARGE`
`static String` `REQUEST_URI_TOO_LARGE_STRING`
`static int` `RESET_CONTENT`
`static String` `RESET_CONTENT_STRING`
`static int` `SEE_OTHER`
`static String` `SEE_OTHER_STRING`
`static int` `SERVICE_UNAVAILABLE`
`static String` `SERVICE_UNAVAILABLE_STRING`
`static int` `SWITCHING_PROTOCOLS`
`static String` `SWITCHING_PROTOCOLS_STRING`
`static int` `TEMPORARY_REDIRECT`
`static String` `TEMPORARY_REDIRECT_STRING`
`static int` `TOO_MANY_REQUESTS`
`static String` `TOO_MANY_REQUESTS_STRING`
`static int` `UNAUTHORIZED`
`static String` `UNAUTHORIZED_STRING`
`static int` `UNPROCESSABLE_ENTITY`
`static String` `UNPROCESSABLE_ENTITY_STRING`
`static int` `UNSUPPORTED_MEDIA_TYPE`
`static String` `UNSUPPORTED_MEDIA_TYPE_STRING`
`static int` `UPGRADE_REQUIRED`
`static String` `UPGRADE_REQUIRED_STRING`
`static int` `USE_PROXY`
`static String` `USE_PROXY_STRING`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `getReason(int code)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONTINUE

    public static final int CONTINUE

See Also:
  Constant Field Values

#### SWITCHING_PROTOCOLS

    public static final int SWITCHING_PROTOCOLS

See Also:
  Constant Field Values

#### PROCESSING

    public static final int PROCESSING

See Also:
  Constant Field Values

#### OK

    public static final int OK

See Also:
  Constant Field Values

#### CREATED

    public static final int CREATED

See Also:
  Constant Field Values

#### ACCEPTED

    public static final int ACCEPTED

See Also:
  Constant Field Values

#### NON_AUTHORITATIVE_INFORMATION

    public static final int NON_AUTHORITATIVE_INFORMATION

See Also:
  Constant Field Values

#### NO_CONTENT

    public static final int NO_CONTENT

See Also:
  Constant Field Values

#### RESET_CONTENT

    public static final int RESET_CONTENT

See Also:
  Constant Field Values

#### PARTIAL_CONTENT

    public static final int PARTIAL_CONTENT

See Also:
  Constant Field Values

#### MULTI_STATUS

    public static final int MULTI_STATUS

See Also:
  Constant Field Values

#### ALREADY_REPORTED

    public static final int ALREADY_REPORTED

See Also:
  Constant Field Values

#### IM_USED

    public static final int IM_USED

See Also:
  Constant Field Values

#### MULTIPLE_CHOICES

    public static final int MULTIPLE_CHOICES

See Also:
  Constant Field Values

#### MOVED_PERMANENTLY

    public static final int MOVED_PERMANENTLY

See Also:
  Constant Field Values

#### MOVED_PERMENANTLY

    @Deprecated
    public static final int MOVED_PERMENANTLY

Deprecated.

See Also:
  Constant Field Values

#### FOUND

    public static final int FOUND

See Also:
  Constant Field Values

#### SEE_OTHER

    public static final int SEE_OTHER

See Also:
  Constant Field Values

#### NOT_MODIFIED

    public static final int NOT_MODIFIED

See Also:
  Constant Field Values

#### USE_PROXY

    public static final int USE_PROXY

See Also:
  Constant Field Values

#### TEMPORARY_REDIRECT

    public static final int TEMPORARY_REDIRECT

See Also:
  Constant Field Values

#### PERMANENT_REDIRECT

    public static final int PERMANENT_REDIRECT

See Also:
  Constant Field Values

#### BAD_REQUEST

    public static final int BAD_REQUEST

See Also:
  Constant Field Values

#### UNAUTHORIZED

    public static final int UNAUTHORIZED

See Also:
  Constant Field Values

#### PAYMENT_REQUIRED

    public static final int PAYMENT_REQUIRED

See Also:
  Constant Field Values

#### FORBIDDEN

    public static final int FORBIDDEN

See Also:
  Constant Field Values

#### NOT_FOUND

    public static final int NOT_FOUND

See Also:
  Constant Field Values

#### METHOD_NOT_ALLOWED

    public static final int METHOD_NOT_ALLOWED

See Also:
  Constant Field Values

#### NOT_ACCEPTABLE

    public static final int NOT_ACCEPTABLE

See Also:
  Constant Field Values

#### PROXY_AUTHENTICATION_REQUIRED

    public static final int PROXY_AUTHENTICATION_REQUIRED

See Also:
  Constant Field Values

#### REQUEST_TIME_OUT

    public static final int REQUEST_TIME_OUT

See Also:
  Constant Field Values

#### CONFLICT

    public static final int CONFLICT

See Also:
  Constant Field Values

#### GONE

    public static final int GONE

See Also:
  Constant Field Values

#### LENGTH_REQUIRED

    public static final int LENGTH_REQUIRED

See Also:
  Constant Field Values

#### PRECONDITION_FAILED

    public static final int PRECONDITION_FAILED

See Also:
  Constant Field Values

#### REQUEST_ENTITY_TOO_LARGE

    public static final int REQUEST_ENTITY_TOO_LARGE

See Also:
  Constant Field Values

#### REQUEST_URI_TOO_LARGE

    public static final int REQUEST_URI_TOO_LARGE

See Also:
  Constant Field Values

#### UNSUPPORTED_MEDIA_TYPE

    public static final int UNSUPPORTED_MEDIA_TYPE

See Also:
  Constant Field Values

#### REQUEST_RANGE_NOT_SATISFIABLE

    public static final int REQUEST_RANGE_NOT_SATISFIABLE

See Also:
  Constant Field Values

#### EXPECTATION_FAILED

    public static final int EXPECTATION_FAILED

See Also:
  Constant Field Values

#### UNPROCESSABLE_ENTITY

    public static final int UNPROCESSABLE_ENTITY

See Also:
  Constant Field Values

#### LOCKED

    public static final int LOCKED

See Also:
  Constant Field Values

#### FAILED_DEPENDENCY

    public static final int FAILED_DEPENDENCY

See Also:
  Constant Field Values

#### UPGRADE_REQUIRED

    public static final int UPGRADE_REQUIRED

See Also:
  Constant Field Values

#### PRECONDITION_REQUIRED

    public static final int PRECONDITION_REQUIRED

See Also:
  Constant Field Values

#### TOO_MANY_REQUESTS

    public static final int TOO_MANY_REQUESTS

See Also:
  Constant Field Values

#### REQUEST_HEADER_FIELDS_TOO_LARGE

    public static final int REQUEST_HEADER_FIELDS_TOO_LARGE

See Also:
  Constant Field Values

#### INTERNAL_SERVER_ERROR

    public static final int INTERNAL_SERVER_ERROR

See Also:
  Constant Field Values

#### NOT_IMPLEMENTED

    public static final int NOT_IMPLEMENTED

See Also:
  Constant Field Values

#### BAD_GATEWAY

    public static final int BAD_GATEWAY

See Also:
  Constant Field Values

#### SERVICE_UNAVAILABLE

    public static final int SERVICE_UNAVAILABLE

See Also:
  Constant Field Values

#### GATEWAY_TIME_OUT

    public static final int GATEWAY_TIME_OUT

See Also:
  Constant Field Values

#### HTTP_VERSION_NOT_SUPPORTED

    public static final int HTTP_VERSION_NOT_SUPPORTED

See Also:
  Constant Field Values

#### INSUFFICIENT_STORAGE

    public static final int INSUFFICIENT_STORAGE

See Also:
  Constant Field Values

#### LOOP_DETECTED

    public static final int LOOP_DETECTED

See Also:
  Constant Field Values

#### NOT_EXTENDED

    public static final int NOT_EXTENDED

See Also:
  Constant Field Values

#### NETWORK_AUTHENTICATION_REQUIRED

    public static final int NETWORK_AUTHENTICATION_REQUIRED

See Also:
  Constant Field Values

#### CONTINUE_STRING

    public static final String CONTINUE_STRING

See Also:
  Constant Field Values

#### SWITCHING_PROTOCOLS_STRING

    public static final String SWITCHING_PROTOCOLS_STRING

See Also:
  Constant Field Values

#### PROCESSING_STRING

    public static final String PROCESSING_STRING

See Also:
  Constant Field Values

#### OK_STRING

    public static final String OK_STRING

See Also:
  Constant Field Values

#### CREATED_STRING

    public static final String CREATED_STRING

See Also:
  Constant Field Values

#### ACCEPTED_STRING

    public static final String ACCEPTED_STRING

See Also:
  Constant Field Values

#### NON_AUTHORITATIVE_INFORMATION_STRING

    public static final String NON_AUTHORITATIVE_INFORMATION_STRING

See Also:
  Constant Field Values

#### NO_CONTENT_STRING

    public static final String NO_CONTENT_STRING

See Also:
  Constant Field Values

#### RESET_CONTENT_STRING

    public static final String RESET_CONTENT_STRING

See Also:
  Constant Field Values

#### PARTIAL_CONTENT_STRING

    public static final String PARTIAL_CONTENT_STRING

See Also:
  Constant Field Values

#### MULTI_STATUS_STRING

    public static final String MULTI_STATUS_STRING

See Also:
  Constant Field Values

#### ALREADY_REPORTED_STRING

    public static final String ALREADY_REPORTED_STRING

See Also:
  Constant Field Values

#### IM_USED_STRING

    public static final String IM_USED_STRING

See Also:
  Constant Field Values

#### MULTIPLE_CHOICES_STRING

    public static final String MULTIPLE_CHOICES_STRING

See Also:
  Constant Field Values

#### MOVED_PERMANENTLY_STRING

    public static final String MOVED_PERMANENTLY_STRING

See Also:
  Constant Field Values

#### FOUND_STRING

    public static final String FOUND_STRING

See Also:
  Constant Field Values

#### SEE_OTHER_STRING

    public static final String SEE_OTHER_STRING

See Also:
  Constant Field Values

#### NOT_MODIFIED_STRING

    public static final String NOT_MODIFIED_STRING

See Also:
  Constant Field Values

#### USE_PROXY_STRING

    public static final String USE_PROXY_STRING

See Also:
  Constant Field Values

#### TEMPORARY_REDIRECT_STRING

    public static final String TEMPORARY_REDIRECT_STRING

See Also:
  Constant Field Values

#### PERMANENT_REDIRECT_STRING

    public static final String PERMANENT_REDIRECT_STRING

See Also:
  Constant Field Values

#### BAD_REQUEST_STRING

    public static final String BAD_REQUEST_STRING

See Also:
  Constant Field Values

#### UNAUTHORIZED_STRING

    public static final String UNAUTHORIZED_STRING

See Also:
  Constant Field Values

#### PAYMENT_REQUIRED_STRING

    public static final String PAYMENT_REQUIRED_STRING

See Also:
  Constant Field Values

#### FORBIDDEN_STRING

    public static final String FORBIDDEN_STRING

See Also:
  Constant Field Values

#### NOT_FOUND_STRING

    public static final String NOT_FOUND_STRING

See Also:
  Constant Field Values

#### METHOD_NOT_ALLOWED_STRING

    public static final String METHOD_NOT_ALLOWED_STRING

See Also:
  Constant Field Values

#### NOT_ACCEPTABLE_STRING

    public static final String NOT_ACCEPTABLE_STRING

See Also:
  Constant Field Values

#### PROXY_AUTHENTICATION_REQUIRED_STRING

    public static final String PROXY_AUTHENTICATION_REQUIRED_STRING

See Also:
  Constant Field Values

#### REQUEST_TIME_OUT_STRING

    public static final String REQUEST_TIME_OUT_STRING

See Also:
  Constant Field Values

#### CONFLICT_STRING

    public static final String CONFLICT_STRING

See Also:
  Constant Field Values

#### GONE_STRING

    public static final String GONE_STRING

See Also:
  Constant Field Values

#### LENGTH_REQUIRED_STRING

    public static final String LENGTH_REQUIRED_STRING

See Also:
  Constant Field Values

#### PRECONDITION_FAILED_STRING

    public static final String PRECONDITION_FAILED_STRING

See Also:
  Constant Field Values

#### REQUEST_ENTITY_TOO_LARGE_STRING

    public static final String REQUEST_ENTITY_TOO_LARGE_STRING

See Also:
  Constant Field Values

#### REQUEST_URI_TOO_LARGE_STRING

    public static final String REQUEST_URI_TOO_LARGE_STRING

See Also:
  Constant Field Values

#### UNSUPPORTED_MEDIA_TYPE_STRING

    public static final String UNSUPPORTED_MEDIA_TYPE_STRING

See Also:
  Constant Field Values

#### REQUEST_RANGE_NOT_SATISFIABLE_STRING

    public static final String REQUEST_RANGE_NOT_SATISFIABLE_STRING

See Also:
  Constant Field Values

#### EXPECTATION_FAILED_STRING

    public static final String EXPECTATION_FAILED_STRING

See Also:
  Constant Field Values

#### UNPROCESSABLE_ENTITY_STRING

    public static final String UNPROCESSABLE_ENTITY_STRING

See Also:
  Constant Field Values

#### LOCKED_STRING

    public static final String LOCKED_STRING

See Also:
  Constant Field Values

#### FAILED_DEPENDENCY_STRING

    public static final String FAILED_DEPENDENCY_STRING

See Also:
  Constant Field Values

#### UPGRADE_REQUIRED_STRING

    public static final String UPGRADE_REQUIRED_STRING

See Also:
  Constant Field Values

#### PRECONDITION_REQUIRED_STRING

    public static final String PRECONDITION_REQUIRED_STRING

See Also:
  Constant Field Values

#### TOO_MANY_REQUESTS_STRING

    public static final String TOO_MANY_REQUESTS_STRING

See Also:
  Constant Field Values

#### REQUEST_HEADER_FIELDS_TOO_LARGE_STRING

    public static final String REQUEST_HEADER_FIELDS_TOO_LARGE_STRING

See Also:
  Constant Field Values

#### INTERNAL_SERVER_ERROR_STRING

    public static final String INTERNAL_SERVER_ERROR_STRING

See Also:
  Constant Field Values

#### NOT_IMPLEMENTED_STRING

    public static final String NOT_IMPLEMENTED_STRING

See Also:
  Constant Field Values

#### BAD_GATEWAY_STRING

    public static final String BAD_GATEWAY_STRING

See Also:
  Constant Field Values

#### SERVICE_UNAVAILABLE_STRING

    public static final String SERVICE_UNAVAILABLE_STRING

See Also:
  Constant Field Values

#### GATEWAY_TIME_OUT_STRING

    public static final String GATEWAY_TIME_OUT_STRING

See Also:
  Constant Field Values

#### HTTP_VERSION_NOT_SUPPORTED_STRING

    public static final String HTTP_VERSION_NOT_SUPPORTED_STRING

See Also:
  Constant Field Values

#### INSUFFICIENT_STORAGE_STRING

    public static final String INSUFFICIENT_STORAGE_STRING

See Also:
  Constant Field Values

#### LOOP_DETECTED_STRING

    public static final String LOOP_DETECTED_STRING

See Also:
  Constant Field Values

#### NOT_EXTENDED_STRING

    public static final String NOT_EXTENDED_STRING

See Also:
  Constant Field Values

#### NETWORK_AUTHENTICATION_REQUIRED_STRING

    public static final String NETWORK_AUTHENTICATION_REQUIRED_STRING

See Also:
  Constant Field Values

### Method Detail

#### getReason

    public static final String getReason(int code)